# Packmangroup: Games/Fun
# Packmanpackagename: powermanga
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>Powermanga - a shoot 'em up game for X</p>
# Packmanpackagedesc_de: <p>Powermanga - ein Ballerspiel f&uuml;r X</p>

# norootforbuild

Name:           powermanga
Summary:        An arcade 2D shoot-em-up game
Summary(de):    Ein arkade 2D Ballerspiel
License:        GPL
Group:          Amusements/Games/Action/Arcade
URL:            http://linux.tlk.fr/games/Powermanga/
Version:        0.90
Release:        3.3

Source0:        powermanga-0.90.tar.bz2
Source1:        powermanga.desktop
Source2:        powermanga_16x16.png
Source3:        powermanga_22x22.png
Source4:        powermanga_32x32.png
Source5:        powermanga_48x48.png

Patch0:         powermanga-fix-mandir.diff
Vendor:         Packman
BuildRoot:      %{_tmppath}/%{name}-root
Requires:       SDL
Requires:       SDL_mixer
BuildRequires:  SDL
BuildRequires:  SDL-devel
BuildRequires:  SDL_mixer
BuildRequires:  SDL_mixer-devel
BuildRequires:  update-desktop-files
BuildRequires:  gcc-c++
BuildRequires:  libstdc++-devel
BuildRequires:  make
BuildRequires:  glibc-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  xorg-x11-devel
BuildRequires:  xorg-x11-libs
BuildRequires:  fdupes

%description
Powermanga - a shoot 'em up game for X

%description -l de
Powermanga - ein Ballerspiel für X



%prep
%setup -q -n %{name}-%{version}
%patch0

%build
touch NEWS ChangeLog
autoreconf -fi
%configure

%{__make} %{?jobs:-j%{jobs}}

%install
%makeinstall

%__install -D -m 0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%__sed -i 's,@@BINDIR@@,%{_bindir},g' "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%__install -D -m 0644 "%{SOURCE2}" "%{buildroot}%{_datadir}/pixmaps/%{name}_16x16.png"
%__install -D -m 0644 "%{SOURCE3}" "%{buildroot}%{_datadir}/pixmaps/%{name}_22x22.png"
%__install -D -m 0644 "%{SOURCE4}" "%{buildroot}%{_datadir}/pixmaps/%{name}_32x32.png"
%__install -D -m 0644 "%{SOURCE5}" "%{buildroot}%{_datadir}/pixmaps/%{name}.png"
chmod 755 %{buildroot}%{_prefix}/games/powermanga
%suse_update_desktop_file -r powermanga Game ArcadeGame

%{__mkdir_p} %{buildroot}%{_bindir}
cd %{buildroot}%{_bindir}
mv ../games/*powermanga ../games/powermangax
mv ../games/powermangax ../games/powermanga
%{__ln_s} ../games/powermanga ./powermanga
cd -

%fdupes -s %{buildroot}

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS CHANGES COPYING README NEWS ChangeLog
%{_bindir}/powermanga
%{_prefix}/games/powermanga
%{_datadir}/games/powermanga
%doc %{_mandir}/man6/powermanga.6*
%attr(0664,games,games) %config(noreplace) %{_localstatedir}/games/powermanga.hi*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}*.png

%changelog
* Sun Sep 13 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.90-1.pm.1
- cleanups where rpmlint wasn't so happy
* Mon Oct 01 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.90
* Sat Aug 15 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.80
- added some changes from Pascal Bleser
* Sat Apr 02 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- changed desctop-file position for SuSE 9.3
* Mon Aug 02 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.79
* Sat Aug 16 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Added entry into SuSE-Startmenu
* Sat Aug 09 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- initial spec file

